#ifndef TIPS_H
#define TIPS_H

#include <QWidget>

namespace Ui {
class tips;
}

class tips : public QWidget
{
    Q_OBJECT
signals:
    void success(QString);
    void fail(QString);
    void checked(bool);
public:
    explicit tips(QWidget *parent = nullptr);
    ~tips();
public slots:
    void information(QString, bool next = false);
    void error(QString, bool next = false);
    void question(QString, bool next = false);
private slots:
    void slotsSuccess(QString);
    void slotsFailed(QString);
private:
    Ui::tips *ui;
};

#endif // TIPS_H
